server:
  port: 8005
  tomcat:
    accesslog:
      enabled: true
      buffered: true
      directory: /var/logs
      file-date-format: -yyyy-MM-dd
      pattern: common
      prefix: tomcat-web
      rename-on-rotate: false
      request-attributes-enabled: false
      rotate: true
      suffix: .log

eureka:
  client:
    serviceUrl:
      defaultZone: http://admin:admin123@localhost:8761/eureka/eureka/
    instance:
      lease-renewal-interval-in-seconds: 5

spring:
  servlet:
    multipart:
      max-file-size: 150MB
      max-request-size: 150MB
  application:
    name: web-server

  datasource:
    name: test
    #    url: jdbc:mysql://47.114.1.200:3306/mec_data_online?useUnicode=true&characterEncoding=UTF8&serverTimezone=Asia/Shanghai&allowMultiQueries=true
    #    username: dayaData
    #    password: dayaDataOnline2019
    url: jdbc:mysql://47.114.1.200:3306/mec_dev?useUnicode=true&characterEncoding=UTF8&serverTimezone=Asia/Shanghai&allowMultiQueries=true
    username: dayaData
    password: dayaDataOnline@2019
    # 使用druid数据源
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20

  redis:
    host: 47.114.1.200
    port: 6379
    password:
    database: 0
    #连接超时时间（毫秒）
    timeout: 10000
    pool:
      #连接池最大连接数（使用负值表示没有限制）
      max-active: 10
      #连接池最大阻塞等待时间（使用负值表示没有限制）
      max-wait: -1
      #连接池中的最大空闲连接
      max-idle: 10
      #连接池中的最小空闲连接
      min-idle: 0

mybatis:
  mapperLocations: classpath:config/mybatis/*.xml
  #configuration:
  #log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

swagger:
  base-package: com.ym.mec.web.controller

##认证
security:
  oauth2:
    client:
      client-id: app
      client-secret: app
    resource:
      token-info-uri: http://localhost:8001/oauth/check_token

#spring boot admin 相关配置
management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: ALWAYS


ribbon:
  ReadTimeout: 60000
  ConnectTimeout: 60000


message:
  debugMode: true

##支付流水隐藏
payment:
  hiddenMode: true
  #隐藏的支付方式
  channel: YQPAY,
